Bug 129958 - files of type "hidden" in directory to be encrypted go missing
Summary: files of type "hidden" in directory to be encrypted go missing
Status: RESOLVED FIXED
Alias: None
Product: kgpg
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jimmy Gilles
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-28 13:06 UTC by liv
Modified: 2007-12-05 10:25 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Simple patch to make KArchive include hidden files (424 bytes, patch)
2007-12-02 15:33 UTC, Rolf Eike Beer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description liv 2006-06-28 13:06:15 UTC
Version:           3.4.2 (using KDE KDE 3.4.2)
Installed from:    Debian testing/unstable Packages
OS:                Linux

Encrypting the contents of a directory containing hidden files ( eg .htaccess )  
results in the hidden files not being present after decryption.
Compressing (gzip) the directory first, and then encrypting/decrypting, produces no errors.

The test directory contained various text files and hidden files as well as sub-directories. Some of these sub-directories also contained hidden ( ".abc" ) files and other sub-directories.
Comment 1 Rolf Eike Beer 2007-11-28 08:48:06 UTC
Verified for 3.5.8
Comment 2 Rolf Eike Beer 2007-12-02 15:32:53 UTC
This is a misbehaviour/bug of KArchive, the base class of KZip and KTar. It just ignores hidden files.
Comment 3 Rolf Eike Beer 2007-12-02 15:33:50 UTC
Created attachment 22278 [details]
Simple patch to make KArchive include hidden files
Comment 4 David Faure 2007-12-04 10:26:37 UTC
Hi Rolf, looks good, please commit.
Comment 5 Rolf Eike Beer 2007-12-04 11:42:37 UTC
SVN commit 744752 by dakon:

Make KArchive include hidden files in directories

acked by dfaure

BUG:129958


 M  +1 -0      karchive.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=744752
Comment 6 Rolf Eike Beer 2007-12-04 19:51:33 UTC
SVN commit 744863 by dakon:

Make KArchive include hidden files in directories

acked by dfaure

CCBUG:129958

Backport of r744752


 M  +1 -0      karchive.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=744863
Comment 7 liv 2007-12-05 10:25:35 UTC
Thanks very much for your good work guys.
Liv